<?php

use setasign\Fpdi\Fpdi;

require_once APPPATH . "/third_party/fpdf/fpdf.php";
require_once APPPATH . "/third_party/fpdi/src/autoload.php";


//require_once APPPATH . "/plantilla7_helper";
include "plantilla5_helper.php";
include "plantilla6_helper.php";
include "plantilla7_helper.php";
include "add/plantilla7_add_helper.php";
include "plantilla8con_helper.php";
include "plantilla9_helper.php";
include "add/plantilla9_add_helper.php";
include "plantilla10_helper.php";
include "add/plantilla10_add_helper.php";
include "plantilla11_helper.php";
include "add/plantilla11_add_helper.php";
include "plantilla12_helper.php";
include "add/plantilla12_add_helper.php";
include "plantilla13_helper.php";
include "add/plantilla13_add_helper.php";
include "plantilla14_helper.php";
include "add/plantilla14_add_helper.php";
include "plantilla_declaracion_helper.php";

include "plantilla1ii_helper.php";
include "plantilla2ii_helper.php";
include "plantilla3ii_helper.php";
include "plantilla4ii_helper.php";
include "plantilla5ii_helper.php";
include "plantilla6ii_helper.php";
include "plantilla7ii_helper.php";

include "add/plantilla1ii_add_helper.php";
include "add/plantilla2ii_add_helper.php";
include "add/plantilla3ii_add_helper.php";
include "add/plantilla4ii_add_helper.php";
include "add/plantilla5ii_add_helper.php";
include "add/plantilla6ii_add_helper.php";
include "add/plantilla7ii_add_helper.php";


function pdf_plantillaconclusion($post)
{
    $CI = &get_instance();
    $CI->load->database();
    $idformato = $post['idformato'];

    $where = array('idformato' => $idformato);
    $query = $CI->db->get_where('formatos', $where, 1);
    $codigo = $query->row();

    $where = array('idformato' => $idformato);
    $query = $CI->db->get_where('2_domicilio_declarante', $where, 1);
    $codigo_2 = $query->row();

    $where = array('idformato' => $idformato);
    $query = $CI->db->get_where('3_datos_curriculares', $where, 1);
    $codigo_3 = $query->row();

    $where = array('idformato' => $idformato);
    $query = $CI->db->get_where('4_datos_empleo', $where, 1);
    $codigo_4 = $query->row();

    $where = array('idformato' => $idformato);
    $query = $CI->db->get_where('5_experiencia_laboral', $where, 1);
    $codigo_5 = $query->row();

    $where = array('idformato' => $idformato);
    $query = $CI->db->get_where('6_datos_pareja', $where, 1);
    $codigo_6 = $query->row();

    //View tipos sector 6. Datos de la pareja
    $where = array('idformato' => $idformato);
    $CI->db->select('tipos_sector.nombre as nombre');
    $CI->db->from('6_datos_pareja');
    $CI->db->join('tipos_sector', '6_datos_pareja.sector=tipos_sector.idtipo_sector');
    $CI->db->where($where);;
    $query = $CI->db->get();
    $view_tipos6_I = $query->row();


    //View 4
    $where = array('idformato' => $idformato);
    $CI->db->select('cargos.nombre as nombre');
    $CI->db->from('4_datos_empleo');
    $CI->db->join('cargos', '4_datos_empleo.empleo=cargos.idcargo');
    $CI->db->where($where);;
    $query = $CI->db->get();
    $view_tipos4 = $query->row();


    //View 4 secretarias
    $where = array('idformato' => $idformato);
    $CI->db->select('secretarias.secretaria as secretaria, secretarias.idsecretaria as idsecretaria');
    $CI->db->from('4_datos_empleo');
    $CI->db->join('secretarias', '4_datos_empleo.ente_publico=secretarias.idsecretaria');
    $CI->db->where($where);;
    $query = $CI->db->get();
    $view_tipos4_sec = $query->row();


    //View 4 secretarias
    $where = array('idformato' => $idformato);
    $CI->db->select('direcciones.direccion as direccion');
    $CI->db->from('4_datos_empleo');
    $CI->db->join('direcciones', '4_datos_empleo.area=direcciones.iddireccion');
    $CI->db->where($where);;
    $query = $CI->db->get();
    $view_tipos4_dir = $query->row();


    $where = array('idformato' => $idformato);
    $CI->db->select('formatos.idusuario as idusuario,formatos.fecha_confirmacion as fecha_confirmacion, view_empleados.nivel as nivel');
    $CI->db->from('formatos');
    $CI->db->join('view_empleados', 'formatos.idusuario=view_empleados.idusuario');
    $CI->db->where($where);
    $query = $CI->db->get();
    $view_nivel = $query->row();

    $pdf = new Fpdi('P', 'mm', 'letter');
    $pdf->setSourceFile('plantillas/doc_Conclusion.pdf');

    $pdf->SetFont('Arial');
    $pdf->SetTextColor(010, 010, 010);
    $pdf->SetXY(30, 30);
    $pdf->SetFontSize(8);
    $pdf->AddPage();
    $tplIdx = $pdf->importPage(1);
    $pdf->useTemplate($tplIdx, 0, 0);
    //         //Documento PDF
    ////////////////////////////////////////1. DATOS GENERALES////////////////////////////////////////////////////////////////
    $pdf->SetTitle('Documento PDF');
    $pdf->SetFont('Arial', 'B', 8);
    $pdf->SetY(88);
    $pdf->SetX(13);
    $pdf->SetFillColor(135, 214, 161);
    $pdf->SetTextColor(000, 000, 000);
    $pdf->Ln(18);
    $pdf->SetX(13);
    $pdf->SetFont('Arial', '', 8);
    $pdf->Text(16, 63.5, utf8_decode($codigo->nombre . '  ' . $codigo->primer_apellido . '  ' . $codigo->segundo_apellido));
    $pdf->Cell(60, 4, utf8_decode($codigo->nombre));
    $pdf->Cell(70, 4, utf8_decode($codigo->primer_apellido));
    $pdf->Cell(54, 4, utf8_decode($codigo->segundo_apellido));
    $pdf->Ln(8);
    $pdf->SetX(13);
    $pdf->Cell(60, 4, utf8_decode($codigo->curp));
    $pdf->Cell(70, 4, utf8_decode($codigo->rfc));
    $pdf->Cell(54, 4, utf8_decode($codigo->homoclave));
    $pdf->Ln(8);
    $pdf->SetX(13);
    $pdf->Cell(60, 4, utf8_decode($codigo->correo_institucional));
    $pdf->Cell(70, 4, utf8_decode($codigo->correo_personal));
    $pdf->Cell(54, 4, utf8_decode($codigo->numero_casa));
    $pdf->Ln(8);
    $pdf->SetX(13);
    $pdf->Cell(60, 4, utf8_decode($codigo->numero_celular));
    $pdf->Cell(70, 4, utf8_decode($codigo->estado_civil));
    if (utf8_decode($codigo->regimen_matrimonial) == 'OTRO / ESPECIFIQUE') {
        $pdf->Cell(54, 4, $codigo->regimen_matrimonial_esp);
    } else {
        $pdf->Cell(54, 4, utf8_decode($codigo->regimen_matrimonial));
    }
    $pdf->Ln(8);
    $pdf->SetX(13);
    $pdf->Cell(92, 4, utf8_decode($codigo->pais_nacimiento));
    $pdf->Cell(92, 4, $codigo->nacionalidad);
    $pdf->Ln(8.5);
    $pdf->SetX(12.5);
    $pdf->MultiCell(184, 3.5, utf8_decode($codigo->observaciones));

    ////////////////////////////2. DOMICILIO DEL DECLARANTE//////////////////////////////////////////////////////////////////
    $pdf->SetY(169);
    $pdf->SetX(100);
    $pdf->Cell(92, 4, utf8_decode($codigo_2->mexico_extranjero));
    $pdf->Ln(11);
    $pdf->SetX(13);
    $pdf->Cell(68, 4, utf8_decode($codigo_2->calle));
    $pdf->Cell(18, 4, utf8_decode($codigo_2->numero_ext));
    $pdf->Cell(19, 4, utf8_decode($codigo_2->numero_int));
    $pdf->Cell(79, 4, utf8_decode($codigo_2->localidad));
    $pdf->Ln(8);
    $pdf->SetX(13);
    $pdf->Cell(80, 5, utf8_decode($codigo_2->municipio_estado));
    $pdf->Cell(76, 5, utf8_decode($codigo_2->entidad_pais));
    $pdf->Cell(28, 5, utf8_decode($codigo_2->codigo_postal));
    //$pdf->Ln(17.5);
    $pdf->SetY(198);
    $pdf->SetX(13);
    $pdf->MultiCell(184, 3.5, utf8_decode($codigo_2->aclaraciones));

    $pdf->SetFont('Arial', 'B', 8);
    if ($codigo_2->mexico_extranjero == 'EN EL EXTRANJERO') {
        $pdf->Text(140, 178, 'CIUDAD/LOCALIDAD');
        $pdf->Text(38, 187, 'ESTADO/PROVINCIA');
        $pdf->Text(128, 187, utf8_decode('PAÍS'));
    } else {
        $pdf->Text(140, 178, 'COLONIA/LOCALIDAD');
        $pdf->Text(38, 187, utf8_decode('MUNICIPIO/ALCALDÍA'));
        $pdf->Text(115, 187, utf8_decode('ENTIDAD FEDERATIVA'));
    }
    $pdf->SetFont('Arial', '', 8);




    //3. DATOS CURRICULARES DEL DECLARANTE//////////////////////////////////////////////////////////////////////////////
    if ($codigo_3->cambio == '2') {
        $logo = SERVIDOR . APP . 'application/images/check2.png';
        $pdf->Image($logo, 197.4, 215.3, 4, 4);
    }
    $pdf->SetY(227);
    $pdf->SetX(13);
    $pdf->Cell(61, 4, utf8_decode($codigo_3->nivel));
    $pdf->Cell(123, 4, utf8_decode($codigo_3->institucion_educativa));

    $pdf->Ln(8);
    $pdf->SetX(13);
    $pdf->Cell(115, 4, utf8_decode($codigo_3->carrera));
    $pdf->Cell(30, 4, utf8_decode($codigo_3->estatus));
    $pdf->Cell(39, 4, utf8_decode($codigo_3->documento));

    $pdf->Ln(8);
    $pdf->SetX(13);
    $pdf->Cell(92, 4, utf8_decode($codigo_3->fecha_documento));
    $pdf->Cell(92, 4, utf8_decode($codigo_3->lugar));
    $pdf->Ln(8.2);
    $pdf->SetX(13);
    $pdf->MultiCell(184, 3.5, utf8_decode($codigo_3->aclaraciones_curriculares));

    $pdf->AddPage();
    $tplIdx = $pdf->importPage(2);
    $pdf->useTemplate($tplIdx, 0, 0);
    //break
    //case 2:
    // 4. datos del empleo,  cargo  o comision que inicia
    if ($codigo_4->cambio == '2') {
        $logo = SERVIDOR . APP . 'application/images/check2.png';
        $pdf->Image($logo, 197.5, 21.8, 4, 4);
    }
                $pdf->SetFont('Arial', 'B', 8);
                if ($codigo_4->mexico_extranjero == 'EN EL EXTRANJERO') {
                    $pdf->Text(140, 104, 'CIUDAD/LOCALIDAD');
                    $pdf->Text(38, 113, 'ESTADO/PROVINCIA');
                    $pdf->Text(128, 113, utf8_decode('PAÍS'));
                } else {
                    $pdf->Text(140, 104, 'COLONIA/LOCALIDAD');
                    $pdf->Text(38, 113, utf8_decode('MUNICIPIO/ALCALDÍA'));
                    $pdf->Text(115, 113, utf8_decode('ENTIDAD FEDERATIVA'));
                }

                $pdf->SetFont('Arial', '', 8);
                $pdf->SetY(94);
                $pdf->SetX(100);
                $pdf->Cell(92, 4, utf8_decode($codigo_4->mexico_extranjero));
                // $pdf->SetY(26.5);


                $pdf->SetY(40);
                $pdf->SetX(13);
                $pdf->Cell(94, 4, utf8_decode($codigo_4->nivel_orden));
                $pdf->Cell(92, 4, utf8_decode($codigo_4->ambito));
    $pdf->Ln(4.5);
    $pdf->SetX(65);

   
   
    
     if ($view_tipos4_sec != null) {

         if ($view_tipos4_sec->idsecretaria == 7) {
             $pdf->SetFont('Arial', '', 6);
         }

         $pdf->Cell(86, 4, utf8_decode($view_tipos4_sec->secretaria));
     }else{
        $pdf->Cell(86, 4, utf8_decode($codigo_4->ente_publico));
     }

    $pdf->Ln(4.5);
    $pdf->SetX(65);
    $pdf->SetFont('Arial', '', 8);
     if ($view_tipos4_dir != null) {
         $pdf->Cell(150, 4, utf8_decode($view_tipos4_dir->direccion));
     }else{
        $pdf->Cell(86, 4, utf8_decode($codigo_4->area));
     }
                $pdf->Ln(4.5);
                $pdf->SetX(65);
    

    if ($view_tipos4 != null) {
        $pdf->Cell(50, 4, utf8_decode($view_tipos4->nombre));
    }else{
  $pdf->Cell(50, 4, utf8_decode($codigo_4->empleo));
    }
                $pdf->Ln(4.2);
                $pdf->SetX(112);
                $pdf->Cell(35, 4, utf8_decode($codigo_4->honorarios));
                $pdf->Ln(10);
                $pdf->SetX(13);
                $pdf->Cell(62, 4, utf8_decode($codigo_4->nivel_empleo));
                $pdf->Cell(86, 4, utf8_decode($codigo_4->funcion));
                $pdf->Ln(10);
                $pdf->SetX(13);
                $pdf->Cell(98, 4, utf8_decode($codigo_4->fecha_posesion));
                $pdf->Cell(86, 4, utf8_decode($codigo_4->telefono_oficina));
                $pdf->Ln(27);
                $pdf->SetX(13);
                $pdf->Cell(68, 4, utf8_decode($codigo_4->calle));
                $pdf->Cell(18, 4, utf8_decode($codigo_4->numero_ext));
                $pdf->Cell(19, 4, utf8_decode($codigo_4->numero_int));
                $pdf->Cell(79, 4, utf8_decode($codigo_4->localidad));
                $pdf->Ln(9);
                $pdf->SetX(13);
                $pdf->Cell(80, 5, utf8_decode($codigo_4->municipio_estado));
                $pdf->Cell(76, 5, utf8_decode($codigo_4->entidad_pais));
                $pdf->Cell(28, 5, utf8_decode($codigo_4->codigo_postal));
                $pdf->SetY(122.5);
                $pdf->SetX(13);
                $pdf->MultiCell(184, 3.5, utf8_decode($codigo_4->aclaraciones));


                
                // $pdf->Cell(33, 4, utf8_decode($codigo_4->servidor_publico));


                if ($codigo_4->servidor_publico == 'SÍ') {
                    $logo = SERVIDOR . APP . 'application/images/check2.png';
                    $pdf->Image($logo, 171.5, 153.5, 4, 4);
                }else{
                    $logo = SERVIDOR . APP . 'application/images/check2.png';
                    $pdf->Image($logo, 191, 153.5, 4, 4);
                }

                $pdf->SetY(174);
                $pdf->SetX(13);
                 $pdf->Cell(92, 4, utf8_decode($codigo_4->fecha_inicio));
                 $pdf->Cell(92, 4, utf8_decode($codigo_4->fecha_conclusion));
                 $pdf->Ln(11.5);
                 $pdf->SetX(13);
                 $pdf->Cell(40, 4, utf8_decode($codigo_4->ingresos_netos));
                 $pdf->Ln(15.5);
                 $pdf->SetX(13);
                 $pdf->Cell(40, 4, utf8_decode($codigo_4->remuneracion));
                $pdf->Ln(12);
                $pdf->SetX(13);
                $pdf->Cell(40, 4, utf8_decode($codigo_4->otros_ingresos));
                $pdf->Ln(10);
                $pdf->SetX(13);
                $pdf->Cell(40, 4, utf8_decode($codigo_4->actividad_industrial));
                $pdf->Ln(10);
                $pdf->SetX(13);
                $pdf->Cell(140, 4, utf8_decode($codigo_4->nombre_razonsocial));
                $pdf->Ln(10);
                $pdf->SetX(13);
                $pdf->Cell(140, 4, utf8_decode($codigo_4->tipo_negocio));


    $pdf->AddPage();
    $tplIdx = $pdf->importPage(3);
    $pdf->useTemplate($tplIdx, 0, 0);
    $pdf->SetFont('Arial', '', 8);
                $pdf->SetY(31);;
                $pdf->SetX(13);
                $pdf->Cell(40, 4, utf8_decode($codigo_4->actividad_financiera));
                $pdf->Ln(9);
                $pdf->SetX(13);
                if ($codigo_4->tipo_instrumento == 'OTRO (ESPECIFIQUE)') {
                    $pdf->Cell(80, 4, utf8_decode($codigo_4->tipo_instrumento_esp));
                } else {
                    $pdf->Cell(80, 4, utf8_decode($codigo_4->tipo_instrumento));
                }
                $pdf->Ln(9);
                $pdf->SetX(13);
                $pdf->Cell(20, 4, utf8_decode($codigo_4->servicios_profesionales));
                $pdf->Ln(9);
                $pdf->SetX(13);
                $pdf->Cell(80, 4, utf8_decode($codigo_4->tipo_servicio));
                $pdf->Ln(9);
                $pdf->SetX(13);
                $pdf->Cell(40, 4, utf8_decode($codigo_4->enajenacion_bienes));
                $pdf->Ln(9);
                $pdf->SetX(13);
                $pdf->Cell(80, 4, utf8_decode($codigo_4->tipo_bien));
                $pdf->Ln(8);
                $pdf->SetX(13);
                $pdf->Cell(40, 4, utf8_decode($codigo_4->ingresos_noconsiderados));
                $pdf->Ln(8);
                $pdf->SetX(13);
                $pdf->Cell(80, 4, utf8_decode($codigo_4->tipo_ingreso));
                $pdf->Ln(8);
                $pdf->SetX(13);
                $pdf->Cell(20, 4, utf8_decode($codigo_4->ingreso_neto));
                $pdf->Ln(12);
                $pdf->SetX(13);
                $pdf->Cell(40, 4, utf8_decode($codigo_4->ingreso_pareja));
                $pdf->Ln(10.5);
                $pdf->SetX(13);
                $pdf->Cell(40, 4, utf8_decode($codigo_4->total_ingresos));
                $pdf->Ln(9);
                $pdf->SetX(13);
                $pdf->MultiCell(184, 3.5, utf8_decode($codigo_4->aclaraciones_2));

    /////////////////////////////////////////////////////5. EXPERIENCIA LABORAL///////////////////////////////////////////////////
    plantilla5($idformato, $pdf);
    /////////////////////////////////////////////////// 6. DATOS DE LA PAREJA//////////////////////////////////////////////////
    //Nivel 6
    //$pdf->Cell(40, 4, '-----------NIVEL:' . $view_nivel->nivel);
    if ($view_nivel != null ) {
        
        if ($view_nivel->nivel != 6) {
    //Nivel 6
    plantilla6($idformato, $pdf);
    //////////////// 7. DATOS DEL DEPENDIENTE ECONÓMICO ////////////////////////////////////////////////////////////////
    //  $pdf->AddPage();
    //  $tplIdx = $pdf->importPage(1);
    //  $pdf->useTemplate($tplIdx, 0, 0);
    //  plantilla7($idformato,$pdf);

    $pdf->setSourceFile('plantillas/Dependientes_7.pdf');
    $pdf->AddPage();
    $tplIdx = $pdf->importPage(1);
    $pdf->useTemplate($tplIdx, 0, 0);
    plantilla7($idformato, $pdf);


    //Dependientes adicionados:
    plantilla7_add($idformato, $pdf);
    //nivel 6
        }}
        //nivel 6
    // 8. INGRESOS NETOS DEL DECLARANTE, PAREJA Y / O DEPENDIENTES ECONÓMICOS
    //inicial
    $pdf->setSourceFile('plantillas/Ingresos_8_Con.pdf');
    $pdf->AddPage();
    $tplIdx = $pdf->importPage(1);
    $pdf->useTemplate($tplIdx, 0, 0);
    plantilla8con($idformato, $pdf);


    //Nivel 6
    if ($view_nivel != null) {
        if ($view_nivel->nivel != 6) {
    //Nivel 6
    //9. BIENES INMUEBLES
    $pdf->setSourceFile('plantillas/Bienes_9.pdf');
    $pdf->AddPage();
    $tplIdx = $pdf->importPage(1);
    $pdf->useTemplate($tplIdx, 0, 0);
    plantilla9($idformato, $pdf);

    //Bienes adicionados:
    plantilla9_add($idformato, $pdf);

    //10. VEHICULOS
    $pdf->setSourceFile('plantillas/Vehiculos_10.pdf');
    $pdf->AddPage();
    $tplIdx = $pdf->importPage(1);
    $pdf->useTemplate($tplIdx, 0, 0);
    plantilla10($idformato, $pdf);

    //Vehiculos adicionados:
    plantilla10_add($idformato, $pdf);

    //11. BIENES MUEBLES
    $pdf->setSourceFile('plantillas/BienesMuebles_11.pdf');
    $pdf->AddPage();
    $tplIdx = $pdf->importPage(1);
    $pdf->useTemplate($tplIdx, 0, 0);
    plantilla11($idformato, $pdf);

    //Mueble adicionados:
    plantilla11_add($idformato, $pdf);

    //12. INVERSIONES, CUENTAS BANCARIAS
    $pdf->setSourceFile('plantillas/Inversiones_12_Con.pdf');
    $pdf->AddPage();
    $tplIdx = $pdf->importPage(1);
    $pdf->useTemplate($tplIdx, 0, 0);
    plantilla12($idformato, $pdf);

    //Inversion adicionados:
    plantilla12_add($idformato, $pdf);

    //13. ADEUDOS / PASIVOS
    $pdf->setSourceFile('plantillas/Adeudos_13_Con.pdf');
    $pdf->AddPage();
    $tplIdx = $pdf->importPage(1);
    $pdf->useTemplate($tplIdx, 0, 0);
    plantilla13($idformato, $pdf);

    //Adeudos adicionados:
    plantilla13_add($idformato, $pdf);

    //14. PRESTAMO O COMODATO POR TERCEROS
    $pdf->setSourceFile('plantillas/Prestamo_14.pdf');
    $pdf->AddPage();
    $tplIdx = $pdf->importPage(1);
    $pdf->useTemplate($tplIdx, 0, 0);
    plantilla14($idformato, $pdf);

    //Prestamos adicionados:
    plantilla14_add($idformato, $pdf);

            // II.- - DECLARACIÓN DE INTERESES
            //  plantilla_declaracion($idformato, $pdf);
            $pdf->setSourceFile('plantillas/II_Declaracion_Intereses/II_1_Participacion.pdf');
            $pdf->AddPage();
            $tplIdx = $pdf->importPage(1);
            $pdf->useTemplate($tplIdx, 0, 0);
            plantilla1ii($idformato, $pdf);

            //II - Participacion 1. (adicionales)
            plantilla1ii_add($idformato, $pdf);

            //2. ¿ PARTICIPA EN LA TOMA DE DECISIONES DE ALGUNA DE ESTAS INSTITUCIONES ?
            $pdf->setSourceFile('plantillas/II_Declaracion_Intereses/II_2_Decisiones.pdf');
            $pdf->AddPage();
            $tplIdx = $pdf->importPage(1);
            $pdf->useTemplate($tplIdx, 0, 0);
            plantilla2ii($idformato, $pdf);

            //II - 2. Decisiones. (adicionales)
            plantilla2ii_add($idformato, $pdf);


            //3. APOYOS O BENEFICIOS PÚBLICOS
            $pdf->setSourceFile('plantillas/II_Declaracion_Intereses/II_3_Apoyos.pdf');
            $pdf->AddPage();
            $tplIdx = $pdf->importPage(1);
            $pdf->useTemplate($tplIdx, 0, 0);
            plantilla3ii($idformato, $pdf);
            //II - 3. Apoyos - (adicionales)
            plantilla3ii_add($idformato, $pdf);

            //4. REPRESENTACIÓN
            $pdf->setSourceFile('plantillas/II_Declaracion_Intereses/II_4_Representacion.pdf');
            $pdf->AddPage();
            $tplIdx = $pdf->importPage(1);
            $pdf->useTemplate($tplIdx, 0, 0);
            plantilla4ii($idformato, $pdf);
            //II - 4. Representación - (adicionales)
            plantilla4ii_add($idformato, $pdf);


            //5. CLIENTES
            $pdf->setSourceFile('plantillas/II_Declaracion_Intereses/II_5_Clientes.pdf');
            $pdf->AddPage();
            $tplIdx = $pdf->importPage(1);
            $pdf->useTemplate($tplIdx, 0, 0);
            plantilla5ii($idformato, $pdf);
            //II - 5. Clientes - (adicionales)
            plantilla5ii_add($idformato, $pdf);


            //6. BENEFICIOS
            $pdf->setSourceFile('plantillas/II_Declaracion_Intereses/II_6_Beneficios.pdf');
            $pdf->AddPage();
            $tplIdx = $pdf->importPage(1);
            $pdf->useTemplate($tplIdx, 0, 0);
            plantilla6ii($idformato, $pdf);
            //II - 6. Beneficios - (adicionales)
            plantilla6ii_add($idformato, $pdf);

            $pdf->setSourceFile('plantillas/II_Declaracion_Intereses/II_7_Fideicomisos.pdf');
            $pdf->AddPage();
            $tplIdx = $pdf->importPage(1);
            $pdf->useTemplate($tplIdx, 0, 0);
            plantilla7ii($idformato, $pdf);
            //II - 7. Fideicomisos - (adicionales)
            plantilla7ii_add($idformato, $pdf); 

            //Nivel 6
        }
    }
     //Nivel 6
    return $pdf->Output("ejemplo.pdf", 'I', false);
}
